C
C
      SUBROUTINE  NVP2
C
C     ------------------------------------------------------------------
C
C       SUBROUTINE PURPOSE:
C       EVALUATION OF NVP ACCORDING TO CALCULATED FRNVP OF EACH AIRWAY
C     (REFER TO SUBS. TEVAL AND PARAM).
C
C     ------------------------------------------------------------------
C
      INCLUDE 'CMMNW.DAT'
C
      MBEGW=1
      SUMFNV=0.0
      DO 20 K=1,MNO
         MENDW=MEND(K)
C
C     FNVP(K): NVP IN MESH K. IN IN.W.G.
C     SUMFNV: SUM OF NVP VARIATION IN MESHES IN THE SUCCESSIVELY
C           PERFORMED ITERATIONS, SERVING AS A CRITERION TO JUDGE IF
C           THE CONVERGENT RESULTS ARE REACHED.
C
         ONVP=FNVP(K)
         FSM=0.0
         DO 10 J=MBEGW,MENDW
            N=MSL(J)
            IF (N.LT.0) THEN
               FACT=-1.0
               NX=-N
            ELSE
               FACT=1.0
               NX=N
            ENDIF
            FSM=FSM+FACT*FRNVP(NX)
10       CONTINUE
         FNVP(K)=-FSM/5.2
         SUMFNV=SUMFNV+ABS(ONVP-FNVP(K))
         MBEGW=MENDW+1
20    CONTINUE
C
      RETURN
      END
